Skip to main content
GET
/
v1
/
sub-accounts
/
{id}
/
balance
Get sub-account spending
curl --request GET \
  --url https://api.zavu.dev/v1/sub-accounts/{id}/balance \
  --header 'Authorization: Bearer <token>'
{
  "balance": 123,
  "currency": "usd",
  "creditLimit": 123,
  "totalSpent": 123,
  "isSubAccount": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Sub-account ID.

Response

Sub-account balance.

balance
integer
required

Team balance in cents. All charges are billed to the parent team.

currency
string
required
Example:

"usd"

creditLimit
integer | null

Spending cap in cents (only for sub-accounts).

totalSpent
integer | null

Total amount spent by this sub-account in cents (only for sub-accounts).

isSubAccount
boolean

Whether this API key belongs to a sub-account.